<template>
    <div
        v-if="hot_key_menu"
        class="on-center"
    >
        <ul class="list-group on-center-sub">
            <li class="list-group-item dark">
                <div class="on-right">
                    <button 
                        class="btn btn-secondary btn-sm on-center-btn" 
                        type="button"
                        @click="$emit('close')"
                    >x</button>
                </div>
            </li>
            <li class="list-group-item dark">Play/Pause  ---> "Space"</li>
            <li class="list-group-item dark">Volum +  ---> "Num+"</li>
            <li class="list-group-item dark">Volum -  ---> "Num-"</li>
            <li class="list-group-item dark">Seek Forwards ---> "→"</li>
            <li class="list-group-item dark">Seek Backwards ---> "←"</li>
        </ul>
    </div>
</template>

<script>

export default {
    name: 'HotkeysMenu',
    components: {
        
    },
    props:{
        hot_key_menu:Boolean
    },
    mounted(){
        
    },
    data: () => ({
        
    }),
    methods:{
        
    }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    .on-right{
        left:100%;
        top:0%;
        z-index: 105;
        position: absolute;
    }
    .on-center{
        left:50%;
        top:50%;
        z-index: 105;
        position: absolute;
    }
    .on-center-btn{
        padding:0px;
        margin-left:-100%;
        margin-top:-50%;
        max-height:18px;
        min-width: 18px;
    }
    .on-center-sub{
        margin-left:-50%;
        margin-top:-50%;
        max-width:240px;
    }
    .dark{
        background: rgb(109, 109, 110);
        color:white;
    }
</style>
